!----------------------------------------------------------------------
!     Copyright (c) 2002 Shin-ichi Takehiro. All rights reserved.
!----------------------------------------------------------------------
!表題  SNPACK/ISPACK-F90
!
!履歴  2002/02/02  竹広真一  多層用に改造
!
!         ・変換する格子点データ, スペクトルデータの配列の大きさは決めうち
!
module snpack

  use snpack_3D
  use snpack_2D

  interface gg_ep
     module procedure gg_ep_2D, gg_ep_3D
  end interface

  interface ep_gg
     module procedure ep_gg_2D, ep_gg_3D
  end interface

  private

  public sninitial                            ! 初期化サブルーチン
  public longitude, latitude                  ! 格子座標
  public lon_weight, lat_weight               ! 格子座標重み
  public gg_lon, gg_lat                       ! 格子座標(im,jm)
  public l_nm, nm_l                           ! 波数格納配列
  public gg_ep, ep_gg                         ! 変換関数

contains

    subroutine sninitial(n_in,i_in,j_in,k_in)

      integer,intent(in) :: i_in, j_in        ! 格子点の設定(東西, 南北)
      integer,intent(in) :: n_in              ! 切断波数の設定
      integer,intent(in) :: k_in              ! 最大データ数(層数)を記憶

      call sninitial_2D(n_in,i_in,j_in)
      call sninitial_3D(k_in)

    end subroutine sninitial

end module snpack
